// =============================================================================
//	PacketHeaders.h
// =============================================================================
//	Copyright (c) WildPackets, Inc. 2000-2001. All rights reserved.
//	Copyright (c) AG Group, Inc. 1996-2000. All rights reserved.

#ifndef PACKETHEADERS_H
#define PACKETHEADERS_H

#include "AGTypes.h"

#ifdef __cplusplus
extern "C" {
#endif

#pragma pack(push,1)

struct EthernetPacketHeader
{
	UInt8		DestAddr[6];		// Destination address.
	UInt8		SrcAddr[6];			// Source address.
	UInt16		Protocol;			// Protocol.
};
typedef struct EthernetPacketHeader EthernetPacketHeader;

struct TokenRingPacketHeader
{
	UInt8		AccessControl;		// MAC header.
	UInt8		FrameControl;		// MAC header.
	UInt8		DestAddr[6];		// Destination address.
	UInt8		SrcAddr[6];			// Source address.
};
typedef struct TokenRingPacketHeader TokenRingPacketHeader;

struct Wireless80211PrivateHeader
{
	UInt8		DataRate;			// Data rate in 500 Kbps units.
	UInt8		Channel;			// 802.11b channel 1-14.
	UInt8		SignalStrength;		// Signal strength 0-100%.
	UInt8		Reserved;
};
typedef struct Wireless80211PrivateHeader Wireless80211PrivateHeader;

struct Wireless80211MacHeader
{
	UInt8		FrameControlType;
	UInt8		FrameControlFlags;
	UInt16		Duration;
	UInt8		Addr1[6];
	UInt8		Addr2[6];
	UInt8		Addr3[6];
	UInt16		Sequence;
	UInt8		Addr4[6];
};
typedef struct Wireless80211MacHeader Wireless80211MacHeader;

#pragma pack(pop)

#ifdef __cplusplus
}
#endif

#endif
